---
title: "List policy attachments"
url: https://hexelstudio.com/docs/api/ciam-iam/policies/list-policy-attachments
---

# List policy attachments

**GET** `/policies/{policy_id}/attachments`

Get all targets a policy is attached to

## Path parameters

- `policy_id: string`

  Policy ID

## Headers

- `Authorization: string`

  `Bearer <token>`.

## Returns

`200` OK (`array of PolicyAttachment`)

- `attached_at: optional string`

- `attached_by_user_id: optional string`

- `id: optional string`

- `organization_id: optional string`

- `policy_id: optional string`

- `target_id: optional string`

- `target_type: optional string`

## Errors

- `404` Not Found
- `500` Internal Server Error

## Example

```bash
curl --request GET \
  --url 'https://api.hexelstudio.com/v1/policies/{policy_id}/attachments' \
  --header "Authorization: Bearer $ACCESS_TOKEN"
```

### Response (200)

```json
[
  {
    "attached_at": "2026-01-01T00:00:00Z",
    "attached_by_user_id": "string",
    "id": "string",
    "organization_id": "string",
    "policy_id": "string",
    "target_id": "string",
    "target_type": "string"
  }
]
```

### Response (404)

```json
{
  "key": "string"
}
```

### Response (500)

```json
{
  "key": "string"
}
```
